<?php
include '../system/bd.php';
include '../system/cook.php';
include ("../system/gzip.php");
if(isset($_SESSION['auth']) && $_SESSION['auth']==1){
include '../system/head.php';
include '../system/head1.php';
$req = mysql_query("SELECT * FROM `user` WHERE `id` = '$user[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Ошибка 1';
include 'inc/nogi.php';
exit;
}
$us = mysql_fetch_array($req);
if(empty($us[clan])){
echo' <div class="title">Ошибка</div>
<div class="empty_block item_center"> Вы не состоите в банде! </div>';
echo'<div class="block_link">';
echo"<a href='../index.php'> <img src ='../img/images/arrow.png'> Вернуться</a></div>";
include '../system/foot.php';
exit;}
/////////////

if($us[clan]!="$clans[id]"){

$req = mysql_query("SELECT * FROM `clans` where `id`='$us[clan]' or `leader`='$us[clan]' ");

$req = mysql_query("SELECT * FROM `clans` where `id`='$us[clan]' or `leader`='$us[clan]' ");

$avto=mysql_num_rows($req);
if($avto==1){
$clan1 = mysql_fetch_array($req);
$req = mysql_query("SELECT `id` FROM `user` where `clan`='$clan1[id]'");



////////////////////////////
$kk=mysql_num_rows($req);

echo ' ' ;

} 

switch($_GET[mod]){
default:
case 'delpers':

////////////////////////////

if($user[clan_prava] == 'no'){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Попытка взлома лидера банды </div>";
exit;
}

if(empty($_GET[usr])){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Не выбран игрок </div>";
exit;
}
if($_GET[usr]==$user[id]){
exit;
}
$req = mysql_query("SELECT `login`,`clan`, `id` FROM `user` WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."'LIMIT 1");
// //////////////////////////
$claner = mysql_fetch_array($req);
if($claner[clan] == $user[clan]) {

echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Изгнать <a>$claner[login]</a>?</div>";
echo ' <div class="block_link">
 <table width="100%" border="0" cellpadding="0" cellspacing="0" style="color:#E5CBB7">
<tbody>
<tr>
<td align="center" width="50%"><a href="?mod=delpers_ok&usr='.$_GET[usr].'">
Да</a></td> 

<td align="center"><a href="?">Нет</a>
</td></tr></tbody></table></div>';


    }else{
    echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Нет такого игрока в клане</div>";
include '../system/foot.php';
    exit;
    }


break;

case 'delpers_ok':

////////////////////////////

if($user[clan_prava] == 'no'){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Попытка взлома лидера банды </div>";
exit;
}

if(empty($_GET[usr])){
echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Не выбран игрок </div>";
exit;
}
if($_GET[usr]==$user[id]){
exit;
}
$req = mysql_query("SELECT `login`,`clan`, `id` FROM `user` WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."'LIMIT 1");
// //////////////////////////
$claner = mysql_fetch_array($req);
if($claner[clan] == $user[clan]) {
mysql_query("UPDATE `user` SET `clan` = '0',
`clan_prava` = 'no'
WHERE `id` = '".mysql_real_escape_string($_GET['usr'])."'");

echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Игрок изгнан из клана</div>";




$text = "Лидер банды $user[login] исключил вас из банды!";
$dater = time();
mysql_query("INSERT INTO `mail` SET `user` = '2', `to` = '".mysql_real_escape_string($_GET['usr'])."', `time` = '$dater', `read` = '0', `msg` = '$text'");
    }else{
    echo" <div class='title'> Клан</div> <div class='empty_block item_center'> Нет такого игрока в клане</div>";
include '../system/foot.php';
    exit;
    }

$dater = time();
$n2='Лидер клана <a href=\"../users.php?id='.$user[id].'\">'.$user[login].'</a> выгнал <a href=\"../users.php?id='.$claner[id].'\">'.$claner[login].'</a> из клана';

mysql_query("INSERT INTO `clans_journal`
(`clan`,`msg`,`time`) VALUES ('".$user[clan]."', '".$n2."', '".$dater."')");



break;

         //////////////////////

}
}else{
echo"Ошибка 3";
include '../system/foot.php';
exit;}

//////////////////

}else{
header ("Location: index.php"); exit;
}
include '../system/foot.php';
?>

